### Method

# Camel StoreDB dup_uids_with_flags

since: 3.58

#### Declaration [src]

    GHashTable*
    camel_store_db_dup_uids_with_flags (
      CamelStoreDB* self,
      const gchar* folder_name,
      GError** error
    )

#### Description [src]

Reads message UID-s with their flags in folder `folder_name` and returns it as a hash table with UID-s as a key and the flags as a value.

Free the returned `GHashTable` with g_hash_table_unref(), when no longer needed.

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  A folder name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

A `GHashTable` of the message UID-s and their flags, or `NULL` on error.

The caller of the method takes ownership of the returned data container, but not the data inside it.